petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscPClose

Closes (ends) a program on processor zero run with PetscPOpen()

### Synopsis

    PetscErrorCode PetscPClose(MPI_Comm comm,FILE *fd,int *rval)

Collective on MPI_Comm, but only process 0 runs the command Many br

### Input Parameters

| comm | - MPI communicator, only processor zero runs the program Many br
| fp | - the file pointer where program input or output may be read or NULL if don't care Many br

### Output Parameters

rval -return value from pclose() or NULL to raise an error on failure Many br

Many br

### Notes

Does not work under Windows Many br

### See Also

PetscFOpen(), PetscFClose(), PetscPOpen()

Level:intermediate
Location:src/sys/fileio/mpiuopen.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages